/**
 * gpgez_util.h
 * Copyright (C) 2006-2007 Kazuyoshi Kakihara
 *
 * This file is part of KageHinata.
 *
 * KageHinata is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

#ifndef GPGEZ_UTIL_H
#define GPGEZ_UTIL_H

/*
#define GPGBASECMD "--no-random-seed-file --cipher-algo=aes256 --batch --no-tty --yes --always-trust"
#define GPGBASECMD2 "--no-random-seed-file --cipher-algo=aes256 --batch --no-tty --yes --always-trust"
*/
#define GPGBASECMD "--cipher-algo=aes256 --batch --no-tty --yes --always-trust"
#define GPGBASECMD2 "--batch --no-tty --yes --always-trust"
#define GPGBASECMD3 "--no-option --batch --no-tty --yes"

struct struct_gpgmsgs {
  LPSTR smsg;
  UINT nmsg;
};

typedef struct struct_ShowProcessTerminate {
  BOOL fTerminate;
  HANDLE hProcess;
  UINT uExitCode;
} SHOWPROCESSTERMINATE, *PSHOWPROCESSTERMINATE;

DWORD interpretGpgMsg(LPCSTR msg);

HRESULT decorate_fpr(PSTR pDst, INT max, PCSTR pFpr, PCSTR pMyFpr);
HRESULT undecorate_fpr(PSTR pDst, INT max, PCSTR pFpr);

HRESULT gpgez_stringlist_addoption(PCMDEZCONTEXT pctx, PSTRINGLIST psl, PCSTR pstr, BOOL fDq);
HRESULT gpgez_stringlist_addoperand(PCMDEZCONTEXT pctx, PSTRINGLIST psl, BOOL fDq);

typedef struct struct_param_gpgstatus *PGPGEZ_PARAM_GPGSTATUS;
HRESULT gpgez_gpgstatus_create(PGPGEZ_PARAM_GPGSTATUS *ppgpgez_param_gpgstatus);
HRESULT gpgez_gpgstatus_release(PGPGEZ_PARAM_GPGSTATUS *ppgpgez_param_gpgstatus);
HANDLE gpgez_gpgstatus_get_handle_write(PGPGEZ_PARAM_GPGSTATUS pgpg);
HRESULT gpgez_gpgstatus_close_handle_write(PGPGEZ_PARAM_GPGSTATUS pgpg);
PSTRINGLIST gpgez_gpgstatus_get_status(PGPGEZ_PARAM_GPGSTATUS pgpg);
DWORD WINAPI procObserveGpgStatus(LPVOID pparam);

#if 0
HWND CreateShowProcessDialog(HWND hwndParent, PCSTR pTitle, PSHOWPROCESSTERMINATE pst);
HRESULT ShowProcessChar(HWND hwnd, CHAR c);
HRESULT ShowProcessMessage(HWND hwnd, PCSTR pszMsg);
HRESULT ShowProcessEnableClose(HWND hwnd);
HRESULT ShowProcessClose(HWND hwnd, BOOL fWait);
#endif

#endif
