#ifndef UTIL_BINBUFF_H
#define UTIL_BINBUFF_H

#define DllExport __declspec(dllexport)

#ifdef __cplusplus
extern "C" {
#endif

typedef struct struct_binbuff *PBINBUFF;

DllExport HRESULT binbuff_create(PBINBUFF *ppbinbuff);
DllExport HRESULT binbuff_append(PBINBUFF pbinbuff, PVOID pbuff, DWORD len);
DllExport PCSTR binbuff_buff(PBINBUFF pbinbuff);
DllExport DWORD binbuff_len(PBINBUFF pbinbuff);
DllExport PVOID binbuff_detach(PBINBUFF pbinbuff);
DllExport HRESULT binbuff_release(PBINBUFF *ppbinbuff);

#ifdef __cplusplus
}
#endif

#endif /* UTIL_BINBUFF_H */