#ifndef UTIL_STRING_H
#define UTIL_STRING_H

#define DllExport __declspec(dllexport)

#ifdef __cplusplus
extern "C" {
#endif

typedef struct struct_string *PSTRING;

DllExport HRESULT string_create(PSTRING *ppstr);
DllExport HRESULT string_append(PSTRING pstr, PCSTR pstr1);
DllExport HRESULT string_append_c_str(PSTRING pstr, PCSTR pstr1, DWORD nbegin, DWORD nend);
DllExport DWORD string_len(PSTRING pstr);
DllExport PCSTR string_c_str(PSTRING pstr);
DllExport PSTR string_dup_str(PSTRING pstr);
DllExport PSTR string_detach(PSTRING pstr);
DllExport VOID string_free_str(PSTR pstr1);
DllExport HRESULT string_release(PSTRING *ppstr);

#ifdef __cplusplus
}
#endif

#endif /* UTIL_STRING_H */