#ifndef UTIL_TARGET_FILELIST_H
#define UTIL_TARGET_FILELIST_H

#define DllExport __declspec(dllexport)

#ifdef __cplusplus
extern "C" {
#endif

/* target file list */
#ifndef PTARGET_FILELIST_DEF
#define PTARGET_FILELIST_DEF
typedef struct struct_target_filelist *PTARGET_FILELIST;
#endif

DllExport HRESULT target_filelist_create(PTARGET_FILELIST *pplist, PCSTR basedir);
DllExport HRESULT target_filelist_release(PTARGET_FILELIST *pplist);
DllExport HRESULT target_filelist_add_node(PTARGET_FILELIST plist, PCSTR pstr);
DllExport PCSTR target_filelist_get_basedir(PTARGET_FILELIST plist);
DllExport PSTRINGLIST target_filelist_get_files(PTARGET_FILELIST plist);
DllExport DWORD target_filelist_get_number_of_files(PTARGET_FILELIST plist);

#ifdef __cplusplus
}
#endif

#endif /* UTIL_TARGET_FLIELIST_H */