// ShellExtension.h: CShellExtension NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHELLEXTENSION_H__26579F0A_E3CA_4A4F_B11B_F023D3B84326__INCLUDED_)
#define AFX_SHELLEXTENSION_H__26579F0A_E3CA_4A4F_B11B_F023D3B84326__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CShellExtension :
	public IContextMenu,
	public IShellExtInit
{
protected:
  ULONG m_cRef;
  LPDATAOBJECT m_pDataObj;
public:
	CShellExtension();
	virtual ~CShellExtension();

  STDMETHODIMP QueryInterface(REFIID riid, LPVOID* obp);
  STDMETHODIMP_(ULONG) AddRef();
  STDMETHODIMP_(ULONG) Release();

  STDMETHODIMP Initialize( LPCITEMIDLIST pidlFolder,
                           LPDATAOBJECT lpdobj,
                           HKEY hkeyProgID );
  STDMETHODIMP QueryContextMenu( HMENU hmenu,
                                 UINT indexMenu,
                                 UINT idCmdFirst,
                                 UINT idCmdLast,
                                 UINT uFlags );
  STDMETHODIMP InvokeCommand( LPCMINVOKECOMMANDINFO lpici );
  STDMETHODIMP GetCommandString( UINT idCmd,
                                 UINT uFlags,
                                 UINT *pwReserved,
                                 LPSTR pszName,
                                 UINT cchMax );
};

#endif // !defined(AFX_SHELLEXTENSION_H__26579F0A_E3CA_4A4F_B11B_F023D3B84326__INCLUDED_)
