#ifndef UTIL_READFILEBUFF_H
#define UTIL_READFILEBUFF_H

#define DllExport __declspec(dllexport)

#ifdef __cplusplus
extern "C" {
#endif

typedef struct struct_readfilebuff *PREADFILEBUFF;

DllExport HRESULT CreateReadFileBuff(PREADFILEBUFF *ppfile, HANDLE hRead);
DllExport HRESULT ReleaseReadFileBuff(PREADFILEBUFF *ppfile);
DllExport HRESULT AttachReadFileLine(PREADFILEBUFF pfile, HANDLE hRead);
DllExport HRESULT ReadFileLine(PREADFILEBUFF pfile, PSTR buff, DWORD len);
DllExport HRESULT testFileBuffEmpty(PREADFILEBUFF pfile, PBOOL pfEmpty);
DllExport BOOL fEofFileLine(PREADFILEBUFF pfile);
DllExport HRESULT DetatchReadFileLine(PREADFILEBUFF pfile);

#ifdef __cplusplus
}
#endif

#endif /* UTIL_READFILEBUFF_H */